Bug 1178789 - Can we get an update to VirtualBox 6.1.16 for Tumbleweed?
Can we get an update to VirtualBox 6.1.16 for Tumbleweed?
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: Larry Finger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-13 19:34 UTC by Rick Kunath
Modified: 2021-02-07 19:08 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Kunath 2020-11-13 19:34:43 UTC
Is it possible to get an updated build of the latest VirtualBox 6.1.16 for Tumbleweed please?
Comment 1 Larry Finger 2020-11-14 17:38:28 UTC
I am holding it back because the GUI fails to be able to load the extensions. It is necessary to use the arrow keys to select a file or directory and use the return key to select file. Mouse clicks are ignored. I have not found the time to debug this and Oracle ignored my posting on the developers mailing list. The only response I got was from a blind man who said "it worked foe him." Of course, he never uses the GUI there anyway.

Are you looking for a specific change? The changes posted by Oracle are minimal.
Comment 2 Oliver Schwabedissen 2020-11-14 21:33:30 UTC
I'm not the creator of this request but because of severe problems with VirtualBox when kernel 5.8 was released I searched the forums when kernel 5.9 was released and found a post (https://forums.opensuse.org/showthread.php/546208-FYI-Virtualbox-6-1-16-support-for-kernel-5-9) saying that VirtualBox 6.1.16 is supposed to support kernel 5.9 fully. Therefore I decided to block kernel 5.9 until VirtualBox 6.1.16 is released as I need VirtualBox for my daily work while I'm working from home office.
Comment 3 Larry Finger 2020-11-15 17:34:33 UTC
The problems with kernel 5.9 were API changes that broke the build of vboxdrv. These were trivial and I had fixed them early in the 5.9 sequence. Once it would build, the code ran correctly. Oracle chose to come up with their own version of the fixes, but they made essentially the same changes. Our 6.1.14 builds and runs with kernels up to 5.9 with no problems. 

The situation is very different for kernel 5.10 API changes, where it is impossible to acquire kernel memory with executable privilege unless you use libvirt. I have not found a workaround and waiting for an Oracle fix.

It is safe for you to release the lock on your kernel. Version 6.1.14 will work with kernel 5.9.
Comment 4 Larry Finger 2021-02-07 19:08:48 UTC
Already updated.